## org.apache.http.conn.params
Class ConnManagerParamBean

    java.lang.Object
      org.apache.http.params.HttpAbstractParamBean
          org.apache.http.conn.params.ConnManagerParamBean

Deprecated.

    @NotThreadSafe
    @Deprecated
    public class ConnManagerParamBean

extends HttpAbstractParamBean

This is a Java Bean class that can be used to wrap an instance of `HttpParams` and manipulate connection manager parameters using Java Beans conventions.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.params.HttpAbstractParamBean
`params`

Constructor Summary
`ConnManagerParamBean(HttpParams params)` Deprecated.

Method Summary
`void` `setConnectionsPerRoute(ConnPerRouteBean connPerRoute)` Deprecated.
`void` `setMaxTotalConnections(int maxConnections)` Deprecated.
`void` `setTimeout(long timeout)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnManagerParamBean

    public ConnManagerParamBean(HttpParams params)

  Deprecated.

Method Detail

### setTimeout

    public void setTimeout(long timeout)

  Deprecated.

### setMaxTotalConnections

    @Deprecated
    public void setMaxTotalConnections(int maxConnections)

  Deprecated.

  See Also:
    `ConnManagerPNames.MAX_TOTAL_CONNECTIONS`

### setConnectionsPerRoute

    @Deprecated
    public void setConnectionsPerRoute(ConnPerRouteBean connPerRoute)

  Deprecated.

  See Also:
    `ConnManagerPNames.MAX_CONNECTIONS_PER_ROUTE`

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.